> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cadanapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> List all legal entities for the current tenant



## OpenAPI

````yaml /openapi/workforce-management.yaml get /v1/entities
openapi: 3.0.0
info:
  description: APIs for interacting with Cadana Payroll Platform
  version: 1.0.0
  title: Business Workforce Management
  termsOfService: https://cadanapay.com/terms-and-conditions
  contact:
    email: api@cadanapay.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.cadanapay.com
    description: Prod Server
  - url: https://dev-api.cadanapay.com
    description: Dev Server
security:
  - Authorization: []
tags:
  - name: Custom Auth
    description: APIs for interacting with Custom Authentication
  - name: Persons
    description: APIs for interacting with the HR module
  - name: Milestones
    description: APIs for milestone-based contractor pay
  - name: Instant Pay
    description: APIs for interacting with Instant Pay functionality
  - name: Users
    description: APIs for interacting with employee/contractor Cadana accounts
  - name: Files
    description: APIs for interacting with file uploads
  - name: Payrolls
    description: APIs for interacting with Payroll
  - name: Platform
    description: Platform APIs for interacting with businesses
  - name: Businesses
    description: APIs for interacting with Business
  - name: Treasury
    description: APIs for business balances, funding, and withdrawals
  - name: KYB
    description: APIs for business verification
  - name: Contracts
    description: APIs for interacting with contracts
  - name: Sandbox
    description: APIs for relevant sandbox simulations
  - name: Invoices
    description: APIs for interacting with invoices
  - name: Reimbursements
    description: APIs for interacting with reimbursements
  - name: Entities
    description: >-
      APIs for managing legal sub-entities (subsidiaries, branches) under a
      parent business
paths:
  /v1/entities:
    get:
      tags:
        - Entities
      summary: List
      description: List all legal entities for the current tenant
      operationId: listEntities
      parameters:
        - $ref: '#/components/parameters/XMultiTenantKey'
      responses:
        '200':
          description: List of entities
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GetEntitiesResponse'
        5XX:
          $ref: '#/components/responses/InternalError'
      security:
        - Authorization: []
components:
  parameters:
    XMultiTenantKey:
      name: X-MultiTenantKey
      in: header
      required: false
      schema:
        type: string
      description: >-
        Required when using a Platform API token. The tenant key identifying
        which business to operate on.
  schemas:
    GetEntitiesResponse:
      description: Entity summary for list responses
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: 37ad8c1e-0187-4e10-8c54-395e3385b4d2
        legalName:
          type: string
          example: Acme Corp Ghana
        country:
          type: string
          example: GH
        currency:
          type: string
          example: GHS
        entityType:
          type: string
          enum:
            - corporation
            - c-corporation
            - s-corporation
            - partnership
            - sole proprietorship
            - limited liability company
            - non profit
            - other
          example: corporation
        status:
          type: string
          example: ACTIVE
        createdTimestamp:
          type: integer
          description: Unix timestamp when the entity was created
          example: 1609459200
        lastUpdatedTimestamp:
          type: integer
          description: Unix timestamp when the entity was last updated
          example: 1609459200
    InternalError:
      description: Internal server error
      allOf:
        - $ref: '#/components/schemas/Error'
      example:
        code: internal_error
        message: An unexpected error occurred. Please try again later.
    Error:
      type: object
      properties:
        code:
          description: A machine parsable error code
          type: string
          enum:
            - invalid_request_body
            - resource_not_found
            - forbidden
            - internal_error
        message:
          description: A human readable message describing the error
          type: string
  responses:
    InternalError:
      description: Internal error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InternalError'
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      bearerFormat: API_SECRET_KEY

````